Index: npl/mailserver/netqmail/roberto-netqmail-1.06.patch-latest
===================================================================
--- npl/mailserver/netqmail/roberto-netqmail-1.06.patch-latest	(revision cd8630be6536b27ae1c762184795ee87723202ab)
+++ npl/mailserver/netqmail/roberto-netqmail-1.06.patch-latest	(revision 1ebb340be23e45ead361b729734f0e82007af6bd)
@@ -2535,7 +2242,558 @@
 +	@echo "Send req.pem to your CA to obtain signed_req.pem, and do:"
 +	@echo "cat signed_req.pem >> QMAIL/control/servercert.pem"
+diff -ruN ../netqmail-1.06-original/README.PATCH netqmail-1.06/README.PATCH
+--- ../netqmail-1.06-original/README.PATCH	1970-01-01 01:00:00.000000000 +0100
++++ netqmail-1.06/README.PATCH	2020-07-29 21:22:44.084295087 +0200
+@@ -0,0 +1,547 @@
++v. 2020.07.29
++Combined patch for netqmail-1.06 by Roberto Puzzanghera [roberto dot puzzanghera at sagredo dot eu]
++More info at https://notes.sagredo.eu/en/qmail-notes-185/patching-qmail-82.html
++==========================================================================================================
++
++= This patch puts together
++* Erwin Hoffmann's qmail-authentication patch v. 0.8.3, which updates the patches provided by
++  Krysztof Dabrowski and Bjoern Kalkbrenner.
++  It provides cram-md5, login, plain authentication support for qmail-smtpd and qmail-remote.
++  http://www.fehcom.de/qmail/smtpauth.html##PATCHES
++* Frederik Vermeulen's qmail-tls patch v. 20200107
++  implements SSL or TLS encrypted and authenticated SMTP.
++  http://inoa.net/qmail-tls/
++  The file update_tmprsadh was modified to chown all .pem files to vpopmail.
++* Marcel Telka's force-tls patch v. 2016.05.15
++  optionally gets qmail to require TLS before authentication to improve security.
++  You have to declare FORCETLS=0 if you want to allow the auth without TLS
++  https://notes.sagredo.eu/sites/notes.sagredo.eu/files/qmail/patches/roberto-netqmail-1.06_force-tls.patch-2012.10.28
++* Antonio Nati's chkuser patch v. 2.0.9
++  performs, among the other things, a check for the existence of recipients during the SMTP conversation,
++  bouncing emails of fake senders.
++  http://www.interazioni.it/opensource/chkuser/
++* Flavio Curti's qmail-queue-custom-error patch
++  enables simscan and qmail-dkim to return the appropriate message for each e-mail it refuses to deliver.
++  https://no-way.org/uploads/qmail-error/
++* Christophe Saout's qmail-SPF rc5 patch
++  Modified by Manvendra Bhangui to make it IPv4-mapped IPv6 addresses compliant.
++  checks incoming mails inside the SMTP daemon, add Received-SPF lines and optionally block undesired transfers.
++  http://www.saout.de/misc/spf/
++* Marcelo Coelho's qmail-SRS patch
++  implements Sender Rewriting Scheme fixing SPF break upon email forwarding.
++  http://www.mco2.com.br/opensource/qmail/srs/
++* Christopher K. Davis' oversize dns patch
++  enables qmail to handle large DNS packets.
++  http://www.ckdhr.com/ckd/qmail-103.patch
++* Jul's reread-concurrency v.2 patch
++  rereads control/concurrencylocal and control/concurrencyremote files when qmail-send receives a HUP signal.
++  http://js.hu/package/qmail/index.html
++* Johannes Erdfelt's Big Concurrency patch
++  sets the spawn limit above 255
++  http://qmail.org/big-concurrency.patch
++* Mihai Secasiu's Big Concurrency fix v.1.0 patch
++  fixes a compiler error if you set concurrency higher than 509 in conf-spawn.
++  http://patchlog.com/linux/qmail-big-concurrency/
++* Bill Shupp's netqmail-maildir++.patch
++  adds maildirquota support to qmail-pop3d and qmail-local.
++  Fixed a bug where the filesize part of the S=<filesize> component of the Maildir++ compatible filename
++  is wrong (tx MG). More info here:
++  https://notes.sagredo.eu/en/qmail-notes-185/installing-dovecot-and-sieve-on-a-vpopmail-qmail-server-28.html#comment995
++  https://notes.sagredo.eu/sites/notes.sagredo.eu/files/qmail/patches/netqmail-maildir.patch
++* Kyle B. Wheeler's "Better qmail-smtpd Logging" v.5 patch
++  facilitates diagnostics of qmail-smtpd logging its actions and decisions (search for a line with qmail-smtp:)
++  http://www.memoryhole.net/qmail/#logging
++* John Simpson's (?) Greeting delay patch
++  adds a user-definable delay after SMTP clients have initiated SMTP sessions, prior to qmail-smtpd responding
++  with "220 ESMTP". It can reject connections from clients which tried to send commands before greeting.
++  https://notes.sagredo.eu/sites/notes.sagredo.eu/files/qmail/patches/qmail-greetdelay.patch
++* Manvendra Bhangui's DKIM and SURBL filter v.1.28 patch
++  adds DKIM signing & verification and SURBL filtering support to qmail.
++  qmail-dk is based on Russ Nelson's patch: http//:www.qmail.org/qmail-1.03-dk-0.54.patch
++  qmail-dkim uses hacked libdkim libraries from libdkim project at http://libdkim.sourceforge.net/
++  surbfilter is built on djb functions and some functions have been ruthlessly borrowed from qmail surbl
++  interface by Pieter Droogendijk and the surblhost program at http://surblhost.sourceforge.net/
++  (file hier.c modified to chown /var/qmail/control/cache and subdirs to vpopmail)
++  http://sourceforge.net/projects/indimail/files/netqmail-addons/qmail-dkim-1.0/
++  http://notes.sagredo.eu/sites/notes.sagredo.eu/files/qmail/patches/ANNOUNCE.surblfilter
++* Claudio Jeker and Andre Oppermann's EXTTODO patch (release 5. Jan. 2003)
++  addresses a problem known as the silly qmail (queue)  problem
++  http://www.nrg4u.com/qmail/ext_todo-20030105.patch
++* Russell Nelson's big-todo patch
++  makes qmail use a hashing mechanism in the todo folder similar to that used in the rest of the queue
++  http://www.qmail.org/big-todo.103.patch
++* Stephane Cottin's qmail-inject-null-sender patch (let's call it in this way)
++  prevents qmail-inject from rewriting the null sender, fixing an issue with sieve vacation/reject messages.
++  More info here: http://www.dovecot.org/list/dovecot/2009-June/040811.html
++  https://notes.sagredo.eu/files/qmail/patches/qmail-inject-null-sender.patch
++* Russell Nelson's (modified by Charles Cazabon) doublebounce-trim patch, which updates the original
++  version by Russel Nelson
++  prevents double bounces from hitting your queue a second time provided that you delete the first line
++  from /var/qmail/control/doublebounceto
++  http://qmail.org/doublebounce-trim.patch
++* Will Harris' esmtp-size patch
++  enables qmail-smtpd to reject messages if they're larger than the maximum number of bytes allowed
++  according to the /var/qmail/control/databytes control file.
++  http://will.harris.ch/qmail-smtpd.c.diff
++* Inter7's qmail-taps-extended patch
++  http://notes.sagredo.eu/files/qmail/patches/qmail-tap.diff
++  Extended by Michai Secasiu (http://patchlog.com/patches/qmail-taps-extended/)
++  Provides the ability to archive each email that flows through the system.
++  Archiving only messages from or to certain email addresses is possible as well.
++* Rolf Eike Beer's qmail-remote CRLF patch
++  enables qmail-remote to handle CR properly, always sending the line breaks as CRLF and avoiding to
++  double the CR (like qmail-remote normally does)
++  http://opensource.sf-tec.de/qmail/
++* Andy Repton's outgoingip patch (adjusted by Sergio Gelato)
++  by default all outgoing emails are sent through the first IP address on the interface. In case of a multiple
++  IP server this patch makes qmail send outgoing emails with the IP eventually stored in control/outgoingip.
++  The ehlo domain is NOT modified by this patch.
++  http://www.qmail.org/outgoingip.patch
++  Robbie Walker provided a patch to correct qmail-qmqpc.c's call to timeoutconn(), because the function
++  signature was modified by the original outgoingip patch
++  https://notes.sagredo.eu/en/qmail-notes-185/patching-qmail-82.html#comment373
++* Iain Patterson's qmail-smtpd pid, qp log patch
++  makes qmail-smtpd log a line similar to the following:
++  @4000000039b89c95026a89b4 mail recv: pid 8155 from <name@domain.xy> qp 8157
++  The pid allows you to match the message up with a given tcpserver process and the qp lets you find a
++  particular delivery.
++  http://iain.cx/qmail/patches.html#smtpd_pidqp
++* Jonathan de Boyne Pollard's any-to-cname patch
++  avoids qmail getting large amounts of DNS data we have no interest in and that may overflow our response
++  buffer.
++  http://www.memoryhole.net/qmail/#any-to-cname
++* Matthias Andree's qmail-rfc2821 patch
++  makes qmail rfc2821 compliant
++  http://www-dt.e-technik.uni-dortmund.de/~ma/qmail/patch-qmail-1.03-rfc2821.diff
++* Jonathan de Boyne Pollard's smtpd-502-to-500 patch
++  makes qmail rfc2821 compliant
++  https://notes.sagredo.eu/files/qmail/patches/smtpd-502-to-500.patch
++* Fabio Busatto's qmail-dnsbl patch
++  allows you to reject spam and virus looking at the sender's ip address.
++  Modified by Luca Franceschini to add support for whitelists, TXT and A queries, configurable return codes
++  451 or 553 with custom messages
++  http://qmail-dnsbl.sourceforge.net/
++* Scott Gifford's qmail-moreipme patch v. 0.6
++  prevents a problem caused by an MX or other mail routing directive instructing qmail to connect to
++  itself without realizing it's connecting to itself, saving CPU time.
++  http://www.suspectclass.com/sgifford/qmail/qmail-1.03-moreipme.README
++  http://www.suspectclass.com/sgifford/qmail/qmail-1.03-moreipme-0.6.patch
++* Alex Nee's qmail-hide-ip-headers patch
++  It will hide your Private or Public IP in the email Headers when you are sending Mail as a Relay Client.
++  https://notes.sagredo.eu/files/qmail/patches/qmail-hide-ip-headers.patch
++* John Saunders' qmail-date-localtime patch
++  causes the various qmail programs to generate date stamps in the local timezone.
++  https://notes.sagredo.eu/files/qmail/patches/qmail-date-localtime.patch
++* Dean Gaudet's qmail-liberal-lf patch v. 0.95
++  allow qmail-smtpd to accept messages that are terminated with a single \n instead of the required \r\n
++  sequence.
++  http://www.arctic.org/~dean/patches/qmail-0.95-liberal-lf.patch
++* Michael Samuel's maxrcpt patch
++  allows you to set a limit on how many recipients are specified for any one email message by setting
++  control/maxrcpt. RFC 2821 section 4.5.3.1 says that an MTA MUST allow at least 100 recipients for each
++  message, since this is one of the favourite tricks of the spammer.
++  http://copilotco.com/mail-archives/qmail.1997/msg03066.html
++* Inter7's qmail-eMPF patch
++  More info: http://www.qmailwiki.org/EMPF
++  eMPF follows a set of administrator-defined rules describing who can message whom.  With this,
++  companies can segregate various parts of their organizations email activities, as well as provide a
++  variety of security-enhancing services.
++* qregex (by  Andrew St. Jean http://www.arda.homeunix.net/downloads-qmail/, contributors: Jeremy Kitchen,
++  Alex Pleiner,
++  Thanos Massias. Original patch by Evan Borgstrom)
++  adds the ability to match address evelopes via Regular Expressions (REs) in the qmail-smtpd process.
++  Added new control file 'badhelonorelay', control/badmailto renamed control/badrcptto (Tx Luca Franceschini).
++* brtlimit
++  Luca Franceschini derived this patch from http://netdevice.com/qmail/patch/goodrcptto-12.patch
++  added control/brtlimit and BRTLIMIT variable to limit max invalid recipient errors before closing
++  the connection (man qmail-control)
++* validrcptto
++  https://notes.sagredo.eu/files/qmail/patches/validrcptto.README
++  Luca Franceschini grabbed the code from several patches with additional features:
++  http://qmail.jms1.net/patches/validrcptto cdb.shtml,
++  http://netdevice.com/qmail/patch/goodrcptto-ms-12.patch, http://patch.be/qmail/badrcptto.html
++  It works in conjunction with chkuser with both cdb and mysql accounts.
++* reject-relay-test by Russell Nelson
++  http://qmail.org/qmail-smtpd-relay-reject
++  It gets qmail to reject relay probes generated by so-called anti-spammers. These relay probes have
++  '!', '%' and '@' in the local (username) part of the address.
++* Luca Franceschini
++  added DISABLETLS environment variable, useful if you want to disable TLS on a desired port
++  added FORCEAUTHMAILFROM environment variable to REQUIRE that authenticated user and 'mail from' are identical
++  added SMTPAUTHMETHOD, SMTPAUTHUSER and SMTP_AUTH_USER env variables for external plugins (see
++  http://qmail-spp.sourceforge.net/doc/)
++* fixed little bug in 'mail from' address handling
++  patch by Andre Opperman at http://qmail.cr.yp.narkive.com/kBry6GJl/bug-in-qmail-smtpd-c-addrparse-function
++* Luca Franceschini's qlog patch
++  smtpd logging with fixed format. An entry 'qlogenvelope' is generated after accepting or rejecting
++  every recipients in the envelope phase.
++* Luca Franceschini's reject null senders patch
++  useful in special cases if you temporarily need to reject the null sender (although breaks RFC compatibility).
++  You just need to put 1 (actually any number different from 0) in your control/rejectnullsenders to reject
++  the null sender with 421 error message.
++* dnscname patch
++  Removes CNAME check in order to avoid getting large amounts of data of no interest in and that may
++  overflow the response buffer.
++  https://lists.gt.net/qmail/users/138190
++* Luca Franceschini's rcptcheck patch
++  (based on original patch from Jay Soffian (http://www.soffian.org/downloads/qmail/qmail-smtpd-doc.html)
++  Originally designed for the purpose of receipt validation, it can also be used to limit the numbr of
++  email a given IP and/or auth-user and/or domain can send in a given time interval. It has to be used
++  in conjuction with the rcptcheck-overlimit.sh LF's script
++  https://notes.sagredo.eu/files/qmail/rcptcheck-overlimit.sh
++  https://notes.sagredo.eu/files/qmail/patches/rcptcheck.patch
++* Reed Sandberg's qmail-channels patch
++  Allows you to add an arbitrary number of supplemental remote queues, each distinguished by a list of
++  recipient domains and separate throttling (concurrency) capabilities. This patch also allows dynamic
++  throttling of the concurrency control files so you can just send qmail-send a HUP signal instead of
++  restarting the service every time.
++  This patch is useful when some email providers complain of too many emails receveid at the same time
++  (in case of news letters for instance). Look here for more info
++  https://notes.sagredo.eu/en/qmail-notes-185/patching-qmail-82.html#comment1328
++  Edit conf-channels before compiling: Total number of channels (queues) available for delivery. Must be at
++  least 2, and anything above 2 are considered supplemental channels.
++  http://www.thesmbexchange.com/eng/qmail-channels_patch.html
++* Endersys R&D team's qmail-remote-logging patch
++  gets qmail-remote to log sender, recipient and IP adddress all together in the "Delivery success/failure" line
++  https://web.archive.org/web/20120530051612/http://blog.endersys.com/2009/12/qmail-canonicalised-recipient-logging-and-more-patch/
++* notqmail.org's cve-2005-1513 patch
++  addresses a vulnerability issue spotted by Georgi Guninski in 2005
++  https://www.qualys.com/2020/05/19/cve-2005-1513/remote-code-execution-qmail.txt
++
++= Disclaimer
++This patch comes with the usual warranty: it works for me, it may not work for you,
++use at your own risk etc. etc. :)
++Comments, suggestions, criticisms are always welcome!
++
++= Usage
++
++* Install libdomainkeys
++wget https://notes.sagredo.eu/files/qmail/tar/libdomainkeys-0.69.tar.gz
++tar xzf libdomainkeys-0.69.tar.gz
++wget https://notes.sagredo.eu/files/qmail/patches/libdomainkeys/libdomainkeys-openssl-1.1.patch
++wget https://notes.sagredo.eu/files/qmail/patches/libdomainkeys-0.69.diff
++cd libdomainkeys-0.69
++chown -R root.root .
++patch -p1 < ../libdomainkeys-openssl-1.1.patch
++patch < ../libdomainkeys-0.69.diff
++make
++cp libdomainkeys.a /usr/lib
++
++* Install libsrs2
++wget https://notes.sagredo.eu/files/qmail/tar/libsrs2-1.0.18.tar.gz
++tar xzf libsrs2-1.0.18.tar.gz
++cd libsrs2-1.0.18
++./configure
++make
++make install
++ldconfig
++cd ../
++
++* Apply the patch and compile
++wget https://notes.sagredo.eu/files/qmail/patches/roberto-netqmail-1.06.patch-latest.gz
++wget http://qmail.org/netqmail-1.06.tar.gz
++tar xzf netqmail-1.06.tar.gz
++cd netqmail-1.06
++chown -R root.root .
++gunzip -c ../roberto-netqmail-1.06.patch-latest.gz | patch
++make
++make setup check
++
++* You have to export SMTPAUTH in your run file if you want to do the auth
++
++* You have to export SURBL=1 in your run file if you want to enable SURBL
++
++* /var/qmail/control/cache must be owned by the user who runs qmail-smtpd, vpopmail.vchkpwd in my case.
++  Change the permissions according to your qmail configuration.
++
++=================================================================================================================
++
++= Changelog
++
++2020.07.29
++-dk-filter: corrected a bug where dk-filter was using DKIMDOMAIN unconditionally. Now it uses DKIMDOMAIN 
++ only if _SENDER is null (tx Manvendra Bhangui).
++
++2020.07.27
++-added cve-2005-1513 patch
++
++2020.04.25
++-qmail-smtpd.c: added rcptcount = 0; in smtp_rset function to prevent the maxrcpto error if control/maxrcpt limit
++ has been exceeded in multiple messages sent sequentially rather than in a single mail (tx Alexandre Fonceca).
++ More info here: https://notes.sagredo.eu/en/qmail-notes-185/patching-qmail-82.html#comment1594
++
++2020.04.16
++-qmail-remote-logging patch added
++
++2020.04.10
++-DKIM patch updated to v. 1.28
++ * outgoing messages from null sender ("<>") will be signed as well with the domain in env variable DKIMDOMAIN
++ * declaring NODK env variable disables old domainkeys signature, while defining NODKIM disables DKIM.
++
++2020.01.11
++-qmail-tls patch updated to v. 20200107
++ * working client cert authentication with TLSv1.3 (Rolf Eike Beer)
++
++2019.12.08
++-BUG qmail-smtpd.c: now TLS is defined before chkuser.h call, to avoid errors on closing the db connection
++ (tx ChangHo.Na https://notes.sagredo.eu/en/qmail-notes-185/patching-qmail-82.html#comment1469)
++
++2019.07.12
++-qmail-channels patch added
++ more info here http://www.thesmbexchange.com/eng/qmail-channels_patch.html
++-improved verbosity of die_read function in qmail-smtpd.c (qmail-smtpd: read failure)
++ more info here https://notes.sagredo.eu/files/qmail/patches/roberto-netqmail-1.06/die_read.patch
++
++2019.06.19
++-DKIM patch updated to v. 1.26
++ * BUG - honor body length tag in verification
++
++2019.05.24
++-qmail-tls updated to v. 20190517
++ * bug: qmail-smtpd ssl_free before tls_out error string (K. Wheeler)
++
++2019.05.23
++-DKIM patch updated to v. 1.25
++ * SIGSEGV - when the txt data for domainkeys is very large exposed a bug in the way realloc() was used incorrectly.
++ * On 32 bit systems, variable defined as time_t overflows. Now qmail-dkim will skip expiry check in such conditions.
++
++2019.04.25
++-bug fixed on qmail-smtpd.c: it was selecting the wrong openssl version on line 2331 (tx ChangHo.Na)
++
++2019.04.09
++-qmail-tls updated to v. 20190408
++ * make compatible with openssl 1.1.0 (Rolf Eike Beer, Dirk Engling, Alexander Hof)
++ * compiler warnings on char * casts (Kai Peter)
++
++2019.03.22
++-fixed a bug causing crashes with qmail-remote when using openssl-1.1 (tx Luca Franceschini)
++(https://notes.sagredo.eu/files/qmail//patches//roberto-netqmail-1.06/2019.03.22-fix.patch)
++
++2019.02.13
++-Port to openssl-1.1
++-DKIM patch updated to v. 1.24
++ * bug fix: restored signaturedomains/nosignaturedomains functionalities.
++
++2018.08.25
++-DKIM patch updated to v. 1.23
++ * fixed a bug where including round brackets in the From: field ouside the double quotes, i.e.
++   From: "Name Surname (My Company)" <name.surname@company.com>, results in a DKIMContext structure invalid
++   error (tx Mirko Buffoni).
++ * qmail-dkim and dkim were issuing a failure for emails which had multiple signature with at least one good
++   signature. Now qmail-dkim and dkim will issue a success if at least one good signature is found.
++
++2018.08.23
++-logging patch
++ * fixed a bug in logit and logit2 functions where after a RSET command and a subsequent brutal quit
++   of the smtp conversation '^]' by the client cause a segfault (tx Mirko Buffoni, more info here
++   https://notes.sagredo.eu/en/qmail-notes-185/patching-qmail-82.html#comment1132)
++-patch info moved to 'README.PATCH' file
++
++2018.04.03
++-DKIM patch updated to v. 1.22
++ * openssl 1.1.0 port
++ * various improvements, bug fixes
++
++2018.01.10
++-maildir++
++ * fixed a bug where the filesize part of the S=<filesize> component of the Maildir++ compatible filename
++   is wrong (tx MG). More info here: http://notes.sagredo.eu/en/qmail-notes-185/installing-dovecot-and-sieve-on-a-
++vpopmail-qmail-server-28.html#comment995
++-qmail-queue-extra
++ * removed, because it was causing more problems than advantages, as the domain of the log@yourdomain.tld
++   had to match the system domain inside control/me and shouldn't be a virtual domain as well.
++
++2017.10.11 (tx Luca Franceschini)
++-qlogfix
++ * log strings should terminate with \n to avoid trailing ^M using splogger
++ * bug reporting custom errors from qmail-queue in qlog
++-added dnscname patch
++-added rcptcheck patch
++
++2017.08.18
++-qmail-smtpd now retains authentication upon rset
++ (tx to Andreas http://notes.sagredo.eu/qmail-notes-185/smtp-auth-qmail-tls-forcetls-patch-for-qmail-84.html#comme
++nt750)
++
++2017-05-14
++-DKIM patch updated to v. 1.20
++ It now manages long TXT records, avoiding the rejection of some hotmail.com messages.
++
++2016-12-19
++-Several new patches and improvements added (thanks to Luca Franceschini)
++More info here http://notes.sagredo.eu/node/178
++ -qregex patch
++ -brtlimit patch
++ -validrcptto patch
++ -rbl patch (updates qmail-dnsbl patch)
++ -reject-relay-test patch
++ -added DISABLETLS environment variable, useful if you want to disable TLS on a desired port
++ -added FORCEAUTHMAILFROM environment variable to REQUIRE that authenticated user and 'mail from' are identical
++ -fixed little bug in 'mail from' address handling (patch by Andre Opperman at http://qmail.cr.yp.narkive.com/kBry
++  6GJl/bug-in-qmail-smtpd-c-addrparse-function)
++ -added SMTPAUTHMETHOD, SMTPAUTHUSER and SMTP_AUTH_USER env variables for external plugins
++ -qlog patch
++ -reject null senders patch
++ -bouncecontrolmime patch
++ -qmail-taps-extended (updates qmail-tap)
++
++2016-12-02
++-fixed BUG in qmail-remote.c: in case of remote server who doesn't allow EHLO the response for an alternative
++ HELO was checked twice, making the connection to die. (Thanks to Luca Franceschini)
++ Patch applied: http://notes.sagredo.eu/sites/notes.sagredo.eu/files/qmail/patches/fix_sagredo_remotehelo.patch
++
++2016-09-19
++-qmail-tls patch updated to v. 20160918
++  * bug: qmail-remote accepting any dNSName, without checking that is matches (E. Surovegin)
++  * bug: documentation regarding RSA and DH keys (K. Peter, G. A. Bofill)
++
++2016-05-15
++-force-tls patch improved (a big thanks to Marcel Telka). Now qmail-smtpd avoids to write the auth verb if the
++ the STARTTLS command was not sent by the client
++
++2016-03-09
++-DKIM patch upgraded to v. 1.19
++ * verification will not fail when a dkim signature does not include the subject provided that the
++   UNSIGNED_SUBJECT environment variable is declared.
++
++2015-12-26
++-qmail-tls patch updated to v. 20151215
++ * typo in #if OPENSSL_VERSION_NUMBER for 2015-12-08 patch release (V. Smith)
++ * add ECDH to qmail-smtpd
++ * increase size of RSA and DH pregenerated keys to 2048 bits
++ * qmail-smtpd sets RELAYCLIENT if relaying allowed by cert
++ more info at http://inoa.net/qmail-tls/
++
++2015-12-15
++-DKIM patch by Manvendra Bhangui updated to v. 1.18
++
++2015-10-03
++-qmail-authentication: updated to v. 0.8.3
++
++2015-08-08
++-fixed a bug on qmail-remote.c that was causing the sending of an additionale ehlo greeting (thanks to Cristoph Gr
++over)
++
++2015-04-11
++-qmail-authentication: updated to v. 0.8.2
++-qmail-tls: upgraded to v. 20141216 (POODLE vulnerability fixed)
++
++2015-03-28
++-added qmail-eMPF patch
++
++2014-11-19
++-security fix: the SSLv3 connection is now switched off
++
++2014-11-15
++-modified the QUEUE_EXTRA variable in extra.h to improve the qmail-send's log
++
++2014-04-14
++-added maxrcpt patch
++
++2014-03-10
++-added qmail-0.95-liberal-lf patch
++
++2013-12-30
++-added qmail-srs
++-the character "=" is now considered valid in the sender address by chkuser in order to accept SRS
++
++2013-12-18
++-added qmail-date-localtime patch
++
++2013-12-14
++-added qmail-hide-ip patch
++
++2013-12-10
++-the original greetdelay by e.h. has been replaced with the improved patch by John Simpson. Now
++ communications trying to send commands before the greeting will be closed. Premature disconnections will be
++ logged as well.
++-CHKUSER_SENDER_FORMAT enabled to reject fake senders without any domain declared (like <foo>)
++-chkuser logging: I slightly modified the log line adding the variables' name just to facilitate its interpretation
++-added qmail-moreipme patch
++
++2013-12-07
++-added qmail-dnsbl patch
++
++2013-12-05
++-added two patches to make qmail rfc2821 compliant
++
++2013-11-23
++-added any-to-cname patch
++
++2013-09-27
++-DKIM patch upgraded to v. 1.17. Defined -DHAVE_SHA_256 while compiling dkimverify.cpp in the Makefile.
++ This solved an issue while verifying signatures using sha256.
++
++2013-09-16
++-Minor fixes to the DKIM patch.
++
++2013-09-13
++-DKIM patch upgraded to v. 1.16. The signing at qmail-remote level has been revised by its author.
++
++2013-08-25
++-qmail-qmqpc.c call to timeoutconn() needed a correction because the function signature was modified by the
++ outgoingip patch. Thanks to Robbie Walker (diff here http://notes.sagredo.eu/node/82#comment-373)
++
++2013-08-21
++-fixed a bug in hier.c which caused the installation not to build properly the queue/todo dir structure (thanks to
++ Scott Ramshaw)
++
++2013-08-18
++-DKIM-SURBL patch by Manvendra Bhangui updated to v. 1.14
++
++2013-08-12
++-DKIM patch upgraded to v. 1.12. The new patch adds surblfilter functionality.
++-added qmail-smtpd pid, qp log patch
++
++2013-08-08
++-qmail-SPF modified by Manvendra Bhangui to make it IPv6-mapped IPv4 addresses compliant. In order to have it
++ working with such addresses you have to patch tcpserver.c accordingly. You can use a patch fot ucspi-tcp6-0.98
++ by Manvendra Bhangui at http://notes.sagredo.eu/sites/notes.sagredo.eu/files/qmail/patches/tcpserver-ipv6mapped_ip
++ v4.patch or wait for v. 0.99 relase of ucspi-tcp6
++-added outgoingip patch
++-added qmail-bounce patch
++
++2013-03-31
++qmail-auth updated to latest v. 0.8.1 Added authentication by recipient domain for qmail-remote.
++Look at README.auth for further details
++
++2013-02-11
++some code adjustments in qmail-smtpd.c smtpd_ehlo() to restore total compatibility with esmtp-size patch
++
++2013-02-08
++qmail-auth updated to latest v. 0.7.6. Look at README.auth for further details
++
++2013-01-28
++fixed an issue on qmail-pop3d which was causing a double +OK after the pass command (thanks to Rakesh, Orbit
++and Simplex for helping in testing and troubleshooting)
++
++2013-01-06
++environment variable GREETDELAY renamed to SMTPD_GREETDELAY
++
++2012-10-31
++qmail-auth updated to latest v. 0.7.5. Look at README.auth for further details
++The qmail-forcetls patch was simplyfied accordingly.
++You MUST export SMTPAUTH="" in your run file now.
++
++2012-04-25
++-added qmail-remote CRLF (thanks to Pierre Lauriente for the help on testing and troubleshooting)
++The qmail-remote CRLF patch solved a problem of broken headers after sieve forwarding that was
++caused by a bad handling of the CR (carriage return) by qmail-remote.
++The issue is also reported here http://www.dt.e-technik.uni-dortmund.de/~ma/qmail-bugs.html
++
++2012.04.16
++-added qmail-tap
++
++2012.02.08
++-added smtp-size patch
++
++2012.01.29
++-added doublebounce-trim patch
++
++2011.12.12
++-file update_tmprsadh modified to chown the .pem files to vpopmail to avoid hang-ups during the smtp
++conversation on port 587 caused by permission problems.
++
++2011.10.06
++-qmail-remote.c: fixed. It was not going into tls on authentication (thanks to Krzysztof Gajdemski)
++-force-tls now quits if the starttls command is not provided when required (thanks to Jacekalex)
 diff -ruN ../netqmail-1.06-original/README.auth netqmail-1.06/README.auth
 --- ../netqmail-1.06-original/README.auth	1970-01-01 01:00:00.000000000 +0100
-+++ netqmail-1.06/README.auth	2016-11-22 21:03:57.103528399 +0100
++++ netqmail-1.06/README.auth	2019-02-27 20:57:13.379025191 +0100
 @@ -0,0 +1,154 @@
 +README qmail SMTP Authentication
@@ -2695,5 +2953,5 @@
 diff -ruN ../netqmail-1.06-original/README.dnsbl netqmail-1.06/README.dnsbl
 --- ../netqmail-1.06-original/README.dnsbl	1970-01-01 01:00:00.000000000 +0100
-+++ netqmail-1.06/README.dnsbl	2016-11-30 21:50:01.459033083 +0100
++++ netqmail-1.06/README.dnsbl	2019-02-27 20:57:13.379025191 +0100
 @@ -0,0 +1,18 @@
 +Code and logic from rblsmtpd and qmail-dnsbl patch http://qmail-dnsbl.sourceforge.net/
@@ -2717,5 +2975,5 @@
 diff -ruN ../netqmail-1.06-original/README.empf netqmail-1.06/README.empf
 --- ../netqmail-1.06-original/README.empf	1970-01-01 01:00:00.000000000 +0100
-+++ netqmail-1.06/README.empf	2016-11-22 21:03:57.103528399 +0100
++++ netqmail-1.06/README.empf	2019-02-27 20:57:13.380025180 +0100
 @@ -0,0 +1,106 @@
 +config file is: /var/qmail/control/policy
@@ -2827,5 +3085,5 @@
 diff -ruN ../netqmail-1.06-original/README.exttodo netqmail-1.06/README.exttodo
 --- ../netqmail-1.06-original/README.exttodo	1970-01-01 01:00:00.000000000 +0100
-+++ netqmail-1.06/README.exttodo	2016-11-22 21:03:57.103528399 +0100
++++ netqmail-1.06/README.exttodo	2019-02-27 20:57:13.380025180 +0100
 @@ -0,0 +1,114 @@
 +EXTTODO by Claudio Jeker <jeker@n-r-g.com> and 
@@ -2945,5 +3203,5 @@
 diff -ruN ../netqmail-1.06-original/README.liberal-lf netqmail-1.06/README.liberal-lf
 --- ../netqmail-1.06-original/README.liberal-lf	1970-01-01 01:00:00.000000000 +0100
-+++ netqmail-1.06/README.liberal-lf	2016-11-22 21:03:57.103528399 +0100
++++ netqmail-1.06/README.liberal-lf	2019-02-27 20:57:13.380025180 +0100
 @@ -0,0 +1,39 @@
 +From dgaudet-list-qmail@arctic.org Fri Jan 17 17:50:19 1997
@@ -2988,5 +3246,5 @@
 diff -ruN ../netqmail-1.06-original/README.maxrcpt netqmail-1.06/README.maxrcpt
 --- ../netqmail-1.06-original/README.maxrcpt	1970-01-01 01:00:00.000000000 +0100
-+++ netqmail-1.06/README.maxrcpt	2016-11-22 21:03:57.104528366 +0100
++++ netqmail-1.06/README.maxrcpt	2019-02-27 20:57:13.380025180 +0100
 @@ -0,0 +1,60 @@
 +maxrcpt patch for qmail-smtpd
@@ -3052,5 +3310,5 @@
 diff -ruN ../netqmail-1.06-original/README.moreipme netqmail-1.06/README.moreipme
 --- ../netqmail-1.06-original/README.moreipme	1970-01-01 01:00:00.000000000 +0100
-+++ netqmail-1.06/README.moreipme	2016-11-22 21:03:57.104528366 +0100
++++ netqmail-1.06/README.moreipme	2019-02-27 20:57:13.380025180 +0100
 @@ -0,0 +1,154 @@
 +###########
@@ -3210,5 +3468,5 @@
 diff -ruN ../netqmail-1.06-original/README.qregex netqmail-1.06/README.qregex
 --- ../netqmail-1.06-original/README.qregex	1970-01-01 01:00:00.000000000 +0100
-+++ netqmail-1.06/README.qregex	2016-11-22 21:04:38.822137319 +0100
++++ netqmail-1.06/README.qregex	2019-02-27 20:57:13.380025180 +0100
 @@ -0,0 +1,203 @@
 +QREGEX (v2) 20060423 - README April 23, 2006
